{
    attributes = (
        {
            columnName = ANNEE_SCOLAIRE; 
            externalType = NUMBER; 
            name = anneeScolaire; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = CODE_COMPTE; 
            externalType = VARCHAR2; 
            name = codeCompte; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            columnName = DETAIL_MONTANT; 
            externalType = NUMBER; 
            name = detailMontant; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = LIBELLE_COMPTE; 
            externalType = VARCHAR2; 
            name = libelleCompte; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            columnName = NUMERO_HISTORIQUE; 
            externalType = NUMBER; 
            name = numeroHistorique; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = NUMERO_INSCRIPTION; 
            externalType = NUMBER; 
            name = numeroInscription; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (anneeScolaire, numeroInscription, codeCompte); 
    className = EOGenericRecord; 
    classProperties = (
        anneeScolaire, 
        numeroHistorique, 
        numeroInscription, 
        codeCompte, 
        libelleCompte, 
        detailMontant
    ); 
    externalName = V_DPAIE_CARTE_RESTANT; 
    fetchSpecificationDictionary = {}; 
    name = VDpaieCarteRestant; 
    primaryKeyAttributes = (anneeScolaire, codeCompte, numeroInscription); 
}
